/v1/communities/{community_id}/lists/{list_id}AuthUpdate list name / description / visibility. Owner-only.
Path parameters
community_id*stringSocial community UUID.
list_id*stringList UUID.
Request body
actor_idstring · uuidThe acting actor; must be the list owner. Send it, or the deprecated `caller_actor_id`; one of the two is required.
Example: "aaaaaaaa-0000-0000-0000-000000000001"
caller_actor_idstring · uuidDeprecated alias of `actor_id`; send `actor_id`.
Example: "aaaaaaaa-0000-0000-0000-000000000001"
namestringNew name.
descriptionstringNew description.
visibilityenum (2)New visibility.
Response · 200 List updated.
id*string · uuidList UUID.
Example: "11111111-0000-0000-0000-000000000001"
community_id*string · uuidOwning community UUID.
Example: "cccccccc-cccc-cccc-cccc-cccccccccccc"
owner_id*string · uuidList owner — social actor UUID.
Example: "aaaaaaaa-0000-0000-0000-000000000001"
name*stringList display name.
Example: "Tech news"
description*stringOptional description.
Example: "Curated tech accounts I follow."
visibility*objectpublic = discoverable; private = owner-only.
Example: "public"
member_count*numberCurrent member count.
Example: 12
created_at*string · date-timeISO timestamp.
Example: "2026-05-01T12:00:00.000Z"
updated_at*string · date-timeISO timestamp.
Example: "2026-05-01T12:00:00.000Z"
Example
Request
PATCH https://social.productcraft.co/v1/communities/{community_id}/lists/{list_id}
Authorization: Bearer YOUR_TOKEN
Content-Type: application/json
{
"actor_id": "aaaaaaaa-0000-0000-0000-000000000001",
"caller_actor_id": "aaaaaaaa-0000-0000-0000-000000000001",
"name": "string",
"description": "string",
"visibility": "public"
}Response
{
"id": "11111111-0000-0000-0000-000000000001",
"community_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
"owner_id": "aaaaaaaa-0000-0000-0000-000000000001",
"name": "Tech news",
"description": "Curated tech accounts I follow.",
"visibility": "public",
"member_count": 12,
"created_at": "2026-05-01T12:00:00.000Z",
"updated_at": "2026-05-01T12:00:00.000Z"
}